# Table Metadata

#### Endpoint type

POST

#### Endpoint name

`/public/table-metadata`

#### Parameters

```
None
```

#### Request Body

`application/json`

```
{
  "fqtn": "DATABASE.SCHEMA.TABLE",
  "notes": [
    "...note text...",
  ]
}
```

#### Responses

200 - Successful Response

`application/json`

```
"Sent {n} notes to Table {fqtn}. View these changes in the Rasgo WebApp: app.rasgoml.com/datasets/{dataset}"
```

#### Code Sample

```
curl -X 'POST' \
  'http://api.rasgoml.com/public/table-metadata' \
  -H 'accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "fqtn": "DATABASE.SCHEMA.TABLE",
  "notes": [
    "This is a note"
  ]
}'
```

#### Usage Notes

* Endpoint accepts a list of 1 or many notes
* Endpoint will detect and skip existing notes to avoid adding duplicates
* Endpoint does not handle editing or deleting notes. Handle this through the Rasgo WebApp


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rasgoml.com/rasgo-docs/api/table-metadata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
